#include <stdio.h>
#include <stdlib.h>

#define MAX 100

typedef struct lista Lista;

Lista *cria_lista();
int free_lista(Lista **lst);
int lista_cheia(Lista *lst);
int lista_vazia(Lista *lst);
int insere_ord(Lista *lst, int elem);
int remove_ord(Lista *lst, int elem);
Lista *intercala_ord(Lista *L1, Lista *L2);
void print_lista(Lista *lst);
